tvbrowser.ui.settings.tablebackgroundstyles

## Class UiTimeBlockBackgroundStyle

- java.lang.Object
- - tvbrowser.ui.settings.tablebackgroundstyles.UiTimeBlockBackgroundStyle

- All Implemented Interfaces:
    TableBackgroundStyle

      public class UiTimeBlockBackgroundStyle
      extends java.lang.Object
      implements TableBackgroundStyle

  Author:
    René Mach

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UiTimeBlockBackgroundStyle()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JPanel` | `createSettingsContent()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getSettingsString()`
    `boolean` | `hasContent()`
    `void` | `storeSettings()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UiTimeBlockBackgroundStyle

          public UiTimeBlockBackgroundStyle()

  - ### Method Detail

    - #### hasContent

          public boolean hasContent()

      Specified by:
        `hasContent` in interface `TableBackgroundStyle`

    - #### createSettingsContent

          public javax.swing.JPanel createSettingsContent()

      Specified by:
        `createSettingsContent` in interface `TableBackgroundStyle`

    - #### storeSettings

          public void storeSettings()

      Specified by:
        `storeSettings` in interface `TableBackgroundStyle`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `TableBackgroundStyle`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getSettingsString

          public java.lang.String getSettingsString()

      Specified by:
        `getSettingsString` in interface `TableBackgroundStyle`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)